## org.apache.tools.ant.taskdefs.optional.sitraka.bytecode
Class ClassFile

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sitraka.bytecode.ClassFile

public final class ClassFile
extends java.lang.Object

Object representing a class. Information are kept to the strict minimum for JProbe reports so that not too many objects are created for a class, otherwise the JVM can quickly run out of memory when analyzing a great deal of classes and keeping them in memory for global analysis.

Constructor Summary
`ClassFile(java.io.InputStream is)`

Method Summary
`int` `getAccess()`
`java.lang.String` `getFullName()`
`MethodInfo[]` `getMethods()`
`java.lang.String` `getName()`
`java.lang.String` `getPackage()`
`java.lang.String` `getSourceFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassFile

    public ClassFile(java.io.InputStream is)
              throws java.io.IOException

Method Detail

### getAccess

    public int getAccess()

### getSourceFile

    public java.lang.String getSourceFile()

### getMethods

    public MethodInfo[] getMethods()

### getFullName

    public java.lang.String getFullName()

### getName

    public java.lang.String getName()

### getPackage

    public java.lang.String getPackage()

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.